﻿''' <summary>
''' The vanity plate
''' </summary>
''' <remarks></remarks>
Public Class fmAbout

    ' I like to manually control the release date value
    Private Const RELEASE_DATE As String = "28 Jun 2023"
    Private Const FRAMEWORK As String = "VB.net"

    ''' <summary>
    ''' Load the dynamic values
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub fmAbout_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        lbVersion.Text &= System.Reflection.Assembly.GetExecutingAssembly().GetName().Version.ToString()
        lbDate.Text &= RELEASE_DATE
        lbFramework.Text &= FRAMEWORK
        llWeb.Text = My.Settings.HomeURL
        llEmail.Text = My.Settings.Email
    End Sub

    ''' <summary>
    ''' We're done, let go back to the calculator!
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub bnOK_Click(sender As System.Object, e As System.EventArgs) Handles bnOK.Click
        Me.Close()
    End Sub

    ''' <summary>
    ''' Somebody clicked on my web site link
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub llWeb_LinkClicked(sender As System.Object, e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles llWeb.LinkClicked
        System.Diagnostics.Process.Start(My.Settings.HomeURL)
    End Sub

    ''' <summary>
    ''' Somebody clicked on my email link
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub llEmail_LinkClicked(sender As System.Object, e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles llEmail.LinkClicked
        System.Diagnostics.Process.Start("mailto:" & My.Settings.Email)
    End Sub
End Class
